from app.models.friend import Friend

def friend_serialize(friend: list) -> Friend:
    status = friend['status'] if 'status' in friend else 'pending'

    return Friend(**{
        "id": str(friend["_id"]),
        "user_id": friend["user_id"],
        "friend_user_id": friend["friend_user_id"],
        "status": status
    })

def friends_serialize(friends: list, external_friends: list) -> dict:
    serialized_friends: dict = {
        'friends': [],
        'external_friends': []
    }

    for friend in friends:
        serialized_friends["friends"].append(friend_serialize(friend))

    for external_friend in external_friends:
        serialized_friends["external_friends"].append(friend_serialize(external_friend))

    return serialized_friends